Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class TypeFilterTransition<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ReasoningTransitionBase<F>
          com.hammurapi.reasoning.impl.TypeFilterTransition<F>

All Implemented Interfaces:
  FlowElement, Inlineable, Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

    public class TypeFilterTransition<F>

extends ReasoningTransitionBase<F>
implements Inlineable

This transition passes through only invocations with single parameter of specified type.

Author:
  Pavel Vlasov

Field Summary

Fields inherited from class com.hammurapi.reasoning.impl.ReasoningTransitionBase
`knowledgeBase, rule`

Constructor Summary
`TypeFilterTransition()`

Method Summary
`Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvocable()`
`Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvoker()`
`boolean` | `inline()`
`void` | `setType(Class<F> type)`

Methods inherited from class com.hammurapi.reasoning.impl.ReasoningTransitionBase
`afterConnect, beforeConnect, setKnowledgeBase, setRuleIndex, setRules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeFilterTransition

    public TypeFilterTransition()

Method Detail

### setType

    public void setType(Class<F> type)

### getInvocable

    public Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvocable()

  Specified by:
    `getInvocable` in interface `Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`

### getInvoker

    public Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvoker()

  Specified by:
    `getInvoker` in interface `Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`

### inline

    public boolean inline()

  Specified by:
    `inline` in interface `Inlineable`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD